OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
MoniTool

# MoniTool_MTHasher Class Reference

The auxiliary class provides hash code for mapping objects
.

`#include <MoniTool_MTHasher.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_Integer | HashCode (const Standard_CString Str, const Standard_Integer Upper)
| Returns a HasCode value for the CString <str> in the range 0..Upper. Default ::HashCode(Str,Upper) .
static Standard_Boolean | IsEqual (const Standard_CString Str1, const Standard_CString Str2)
| Returns True when the two CString are the same. Two same strings must have the same hashcode, the contrary is not necessary. Default Str1 == Str2 .

## Member Function Documentation

Standard_Integer MoniTool_MTHasher::HashCode | ( | const Standard_CString | Str,
|  | const Standard_Integer | Upper
| ) | `[inline, static]`

Standard_Boolean MoniTool_MTHasher::IsEqual | ( | const Standard_CString | Str1,
|  | const Standard_CString | Str2
| ) | `[inline, static]`

void MoniTool_MTHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MoniTool_MTHasher::operator new | ( | size_t | size | ) | `[inline]`

void* MoniTool_MTHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following files:

- MoniTool_MTHasher.hxx
- MoniTool_MTHasher.lxx